GLS ShipIT 5.0.17 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.EndOfDayResponse Class Reference

## Public Member Functions
List< Shipment > | getShipments ()

## Protected Attributes
List< Shipment > | shipments

## Detailed Description

Response (output) attributes for getEndOfDayReport request (list of shipments)

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Shipments" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}Shipment" maxOccurs="unbounded" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 42 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/EndOfDayResponse.java.

## Member Function Documentation

## ◆ getShipments()

List<Shipment> eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.EndOfDayResponse.getShipments | ( |  | ) |

Gets the value of the shipments property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the shipments property.

For example, to add a new item, do as follows:

       getShipments().add(newItem);

Objects of the following type(s) are allowed in the list Shipment

Definition at line 69 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/EndOfDayResponse.java.

## Member Data Documentation

## ◆ shipments

List<Shipment> eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.EndOfDayResponse.shipments
| protected

Definition at line 45 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/EndOfDayResponse.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/EndOfDayResponse.java